package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.login.model.ProfileModel

interface ProfileInteractor {

    interface View {
        fun onLoadDataSucceed(profileModel: ProfileModel)
        fun onLoadDataFailed(error: VolleyError)
    }

    interface Presenter {
        fun loadData(phoneNumber: String)
    }
}